import { resolveComponent, withCtx, createVNode, toDisplayString, createTextVNode, useSSRContext } from "vue";
import { ssrRenderComponent, ssrInterpolate } from "vue/server-renderer";
import { _ as _sfc_main$1 } from "./AdminLayout-DHH3IgME.js";
import { S as SectionBorder } from "./ConfirmationModal-D2gnpuXK.js";
import _sfc_main$6 from "./DeleteUserForm-BC1vkgru.js";
import _sfc_main$3 from "./UpdatePasswordForm-DBgQEIJC.js";
import _sfc_main$4 from "./TwoFactorAuthenticationForm-gmPwTNCA.js";
import _sfc_main$2 from "./UpdateProfileInformationForm-BvZ9aSsz.js";
import _sfc_main$5 from "./LogoutOtherBrowserSessionsForm-BlafyAD3.js";
import "@inertiajs/vue3";
import "./AppLayout-BRHmSgDa.js";
import "notiwind";
import "./http-CDixhmav.js";
import "./ActionMessage-cgGHxf5V.js";
import "./ActionSection-DLY4AkI5.js";
import "./SectionTitle-CrLwNK7a.js";
import "./_plugin-vue_export-helper-1tPrXgE0.js";
import "./AuthenticationCardLogo-BUP7R51z.js";
import "./ThemeSwitch-BH8JZmuF.js";
import "./AuthenticationCard-DZUcA5eO.js";
import "./Checkbox-C8_DVKYJ.js";
import "./ConfirmsPassword-mDregivA.js";
import "./InputError-DjBtKS5r.js";
import "./PrimaryButton-BFULsO35.js";
import "./SecondaryButton-CI1uhr4A.js";
import "./DangerButton-C-9IxBUH.js";
import "./FormSection-C7JuSy06.js";
import "./InputLabel-DXl8D0gR.js";
import "../ssr.js";
import "@inertiajs/vue3/server";
import "@vue/server-renderer";
import "lodash.debounce";
import "dayjs";
import "./LoadingButton-DREeyNQW.js";
import "@vuepic/vue-datepicker";
import "vue-i18n";
import "lodash.isequal";
import "axios";
import "lodash.throttle";
const _sfc_main = /* @__PURE__ */ Object.assign({ layout: _sfc_main$1 }, {
  __name: "Show",
  __ssrInlineRender: true,
  props: {
    confirmsTwoFactorAuthentication: Boolean,
    sessions: Array
  },
  setup(__props) {
    return (_ctx, _push, _parent, _attrs) => {
      const _component_Head = resolveComponent("Head");
      const _component_Header = resolveComponent("Header");
      _push(`<!--[-->`);
      _push(ssrRenderComponent(_component_Head, null, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<title${_scopeId}>${ssrInterpolate(_ctx.$t("Profile"))}</title>`);
          } else {
            return [
              createVNode("title", null, toDisplayString(_ctx.$t("Profile")), 1)
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(ssrRenderComponent(_component_Header, null, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`${ssrInterpolate(_ctx.$t("Profile"))}`);
          } else {
            return [
              createTextVNode(toDisplayString(_ctx.$t("Profile")), 1)
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`<div class="bg-gray-50 dark:bg-gray-800"><div class="max-w-7xl mx-auto py-10 sm:px-6 lg:px-8">`);
      if (_ctx.$page.props.jetstream.canUpdateProfileInformation) {
        _push(`<div>`);
        _push(ssrRenderComponent(_sfc_main$2, {
          user: _ctx.$page.props.auth.user
        }, null, _parent));
        _push(ssrRenderComponent(SectionBorder, null, null, _parent));
        _push(`</div>`);
      } else {
        _push(`<!---->`);
      }
      if (_ctx.$page.props.jetstream.canUpdatePassword) {
        _push(`<div>`);
        _push(ssrRenderComponent(_sfc_main$3, { class: "mt-10 sm:mt-0" }, null, _parent));
        _push(ssrRenderComponent(SectionBorder, null, null, _parent));
        _push(`</div>`);
      } else {
        _push(`<!---->`);
      }
      if (_ctx.$page.props.jetstream.canManageTwoFactorAuthentication) {
        _push(`<div>`);
        _push(ssrRenderComponent(_sfc_main$4, {
          "requires-confirmation": __props.confirmsTwoFactorAuthentication,
          class: "mt-10 sm:mt-0"
        }, null, _parent));
        _push(ssrRenderComponent(SectionBorder, null, null, _parent));
        _push(`</div>`);
      } else {
        _push(`<!---->`);
      }
      _push(ssrRenderComponent(_sfc_main$5, {
        sessions: __props.sessions,
        class: "mt-10 sm:mt-0"
      }, null, _parent));
      if (_ctx.$page.props.jetstream.hasAccountDeletionFeatures) {
        _push(`<!--[-->`);
        _push(ssrRenderComponent(SectionBorder, null, null, _parent));
        _push(ssrRenderComponent(_sfc_main$6, { class: "mt-10 sm:mt-0" }, null, _parent));
        _push(`<!--]-->`);
      } else {
        _push(`<!---->`);
      }
      _push(`</div></div><!--]-->`);
    };
  }
});
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("resources/js/Pages/Profile/Show.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};
export {
  _sfc_main as default
};
